Imports MicroFour.StrataFrame.Strings.StringBasics

Public Class Form1

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        '-- Establish Locals
        Dim loSample As New SampleDataInstallerClass.DataProgress()

        '-- Show the dialog
        loSample.ShowDialog()
        loSample.Close()
        loSample.Dispose()

    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        '-- Establish Locals
        Dim lcPath As String = IO.Path.GetDirectoryName(Reflection.Assembly.GetEntryAssembly.Location)
        Dim loDeploy As MicroFour.StrataFrame.DBEngine.Deployment.MDDeployMain

        '-- Adjust the path up two folders to look at the root (same location as the .SLN file)
        lcPath = IO.Directory.GetParent(lcPath).FullName
        lcPath = AddBS(IO.Directory.GetParent(lcPath).FullName)

        '-- Create the deployment form
        loDeploy = New MicroFour.StrataFrame.DBEngine.Deployment.MDDeployMain(lcPath & "StrataFrameSample.pkg", "framework")

        loDeploy.ShowDialog()
        loDeploy.Close()
        loDeploy.Dispose()
    End Sub
End Class
